%define	name	libkdcraw
%define	version	0.1.1
## Distribution Specific Release Tag
%define release %mkrel 7
%define	Summary	KDE library based on dcraw for working with various camera's RAW image formats.

%define realname kdcraw

%define	major	1
%define old_major 0
%define	libname	%mklibname %{realname} %major
%define	libnamedev %mklibname %{realname} -d

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group: 		System/Libraries
Source0:        http://prdownloads.sourceforge.net/kipi/libkdcraw-%{version}.tar.bz2

URL: 		http://www.kipi-plugins.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kdelibs-common
BuildRequires:	qt3-devel
BuildRequires:	kdebase-devel
BuildRequires:  lcms-devel
Provides:	%{name} = %{version}-%{release}

%description
KDE library based on dcraw for working with various camera's RAW image formats.

%package -n     %{libname}
Summary:        Libraries for %{name}
Group:          System/Libraries
Obsoletes:      %{name}
Obsoletes:	%mklibname %{realname} %{old_major}

%description -n %{libname}

%{libname} contains %{name} libraries

%package -n	%{libnamedev}
Summary:	Static libraries and headers for %{name}
Group:		Development/C
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %mklibname %{realname} 1 -d
Requires: 	%{libname} = %version-%release
Obsoletes:	%mklibname %{realname} %{old_major} -d

%description -n %{libnamedev}

%{libnamedev} contains the libraries and header files needed to
develop programs which make use of %{name}.

%prep
%setup -q


make -f Makefile.cvs

%build
%configure
%make

%install
rm -rf %buildroot
#anaselli: workaround to install kdcraw following soname
#Makefile.am changes bindir inside :(
%makeinstall_std

#anaselli: removing useless icons 
# TODO avoid that when they will be removed from tarball
rm -rf  %{buildroot}/%{_datadir}/icons/hicolor/*/apps/%{realname}.png
%find_lang %name

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf %buildroot

#%%files -f %name.lang
#%%defattr(0644, root, root, 0755)

%files -n %libname
%defattr(0644, root, root, 0755)
%attr(0755, root, root)  %{_libdir}/%{name}%{major}/%{realname}
%{_libdir}/*.so.*

%files -n %libnamedev
%defattr(0644, root, root, 0755)
%{_libdir}/pkgconfig/libkdcraw.pc
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*




%changelog
* Sat Jul 21 2007 Funda Wang <fundawang@mandriva.org> 0.1.1-7mdv2008.0
+ Revision: 54135
- Obsoletes old major

* Mon Jul 09 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.1-6mdv2008.0
+ Revision: 50761
- Obsoletes libkdcraw

* Mon Jul 09 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.1-5mdv2008.0
+ Revision: 50485
- Updated for new library policy (developer packages)

* Mon Jun 18 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.1-4mdv2008.0
+ Revision: 40631
- removed a wrong requirenment i forgot to commit

* Sun Jun 17 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.1-3mdv2008.0
+ Revision: 40554
- removed useless icons

* Fri Jun 15 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.1-2mdv2008.0
+ Revision: 40212
- removed a wrongly commented macro

* Fri Jun 15 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.1-1mdv2008.0
+ Revision: 39947
- New version 0.1.1

* Thu Jun 07 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.0-2mdv2008.0
+ Revision: 36646
- Moved la files to the right devel subpackage.

* Mon May 07 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.0-1mdv2008.0
+ Revision: 23834
- Import libkdcraw

